Package ru.bitel.bgbilling.modules.voice.common.bean

# Class VoiceDestination

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.modules.voice.common.bean.VoiceDestination

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`, `ListItem`

    public class VoiceDestination
    extends IdTitle

Класс-модель Направление модуля Voice. Характеризуется кодом, названием, привязывается к определенному оператору. Используется при тарификации при определении направления звонка.

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `VoiceDestination()` |
  `VoiceDestination​(int id, java.lang.String title)` |
  `VoiceDestination​(java.lang.String title)` |
  `VoiceDestination​(java.lang.String title, int operatorId)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static java.util.Map<java.lang.Integer,​VoiceDestination>` | `getDestinationMap​(java.util.List<VoiceDestination> destinationList)` |
  `int` | `getOperatorId()` | Получение кода оператора, к которому привязано направление.
  `void` | `setOperatorId​(int operatorId)` | Установка кода оператора, к которому привязано направление.

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### VoiceDestination

    public VoiceDestination()

  - ### VoiceDestination

    public VoiceDestination​(int id, java.lang.String title)

  - ### VoiceDestination

    public VoiceDestination​(java.lang.String title, int operatorId)

  - ### VoiceDestination

    public VoiceDestination​(java.lang.String title)

- ## Method Details

  - ### getOperatorId

    public int getOperatorId()
    Получение кода оператора, к которому привязано направление.
    Returns:
      код оператора.

  - ### setOperatorId

    public void setOperatorId​(int operatorId)
    Установка кода оператора, к которому привязано направление.
    Parameters:
      `operatorId` - код оператора.

  - ### getDestinationMap

    public static java.util.Map<java.lang.Integer,​VoiceDestination> getDestinationMap​(java.util.List<VoiceDestination> destinationList)